/* Blinker
   Copyright 2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_UINT_H
#define BLINKER_UINT_H

#include <string>

namespace Blinker {

/// an unsigned integer
class UInt
{
public:
  /// constructor
  UInt();

public:
  /**
   * @brief parse from string format
   * @param[in] str string format
   * @return if parsing was successful
   */
  bool fromStr(const std::string &str);

  /**
   * @brief convert to string format
   * @return string format
   */
  std::string toStr() const;

public:
  unsigned int m_uint; ///< unsigned int number
}; // class UInt

} // namespace Blinker

#endif // #ifndef BLINKER_UINT_H

